Loading...
Searching...
No Matches
_LinkedListInfo Struct Reference

## Data Fields

size_t | capacity
size_t | elements
ElementInfo * | head
ElementInfo * | tail
ElementInfo * | next
SemaphoreInfo * | semaphore
size_t | signature

## Detailed Description

Definition at line 60 of file linked-list.c.

## Field Documentation

## capacity

size_t _LinkedListInfo::capacity

Definition at line 63 of file linked-list.c.

## elements

size_t _LinkedListInfo::elements

Definition at line 64 of file linked-list.c.

## head

ElementInfo* _LinkedListInfo::head

Definition at line 67 of file linked-list.c.

## next

ElementInfo * _LinkedListInfo::next

Definition at line 69 of file linked-list.c.

## semaphore

SemaphoreInfo* _LinkedListInfo::semaphore

Definition at line 72 of file linked-list.c.

## signature

size_t _LinkedListInfo::signature

Definition at line 75 of file linked-list.c.

## tail

ElementInfo * _LinkedListInfo::tail

Definition at line 68 of file linked-list.c.

The documentation for this struct was generated from the following file:

- linked-list.c